Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7405 - Raid 0 is a bootable option under 2.2.12 & Raid0145-19990824
Summary: Raid 0 is a bootable option under 2.2.12 & Raid0145-19990824
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 6.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-11-29 07:23 UTC by Chris Yeo
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-01-04 22:25:54 UTC


Attachments (Terms of Use)

Description Chris Yeo 1999-11-29 07:23:12 UTC
There are two problems that I have to report for the 'kernel' and raid
modules.

It's too bad that we can't have the raid0 (and linear) built into the
kernel, as you are supposed to be able to boot off this.

Also the thing that I think would need to be fixed first would be the
ability to select the 'chunk size' for the raid partition, as 64k is a bit
large for things other than large servers (or large files in the server).
It would be ideal to be able to select the size from 4k -> 64 or 128k.

This is about what I can tell you...

Chris

Comment 1 Cristian Gafton 2000-01-04 22:25:59 UTC
Assigned to dledford

Comment 2 Ben LaHaise 2002-06-03 22:23:04 UTC
Newer releases should properly build an initrd for booting on such a setup if
the /boot partition is RAID1.  We do not presently support booting off of RAID0.


Note You need to log in before you can comment on or make changes to this bug.